Package ch.qos.logback.core.pattern

# Class LiteralConverter<E>

java.lang.Object
ch.qos.logback.core.pattern.Converter<E>
ch.qos.logback.core.pattern.LiteralConverter<E>

public final class LiteralConverter<E> extends Converter<E>

## Constructor Summary

Constructors
Constructor
Description
`LiteralConverter(String literal)`

## Method Summary

Modifier and Type
Method
Description
`String`
`convert(E o)`
The convert method is responsible for extracting data from the event and storing it for later use by the write method.

### Methods inherited from class ch.qos.logback.core.pattern.Converter

`getNext, setNext, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LiteralConverter

public LiteralConverter(String literal)

## Method Details

### convert

public String convert(E o)
Description copied from class: `Converter`
The convert method is responsible for extracting data from the event and storing it for later use by the write method.

Specified by:
  `convert` in class `Converter<E>`